package com.winhc.repal.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalBill实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_BILL")
@ApiModel(value="RepalBill实体对象", description="回款宝账款")
public class RepalBill implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "所属组织id")
    @TableField("REPAL_GROUP_ID")
    private Long repalGroupId;

    @ApiModelProperty(value = "回款宝账本id")
    @TableField("REPAL_BOOK_ID")
    private Long repalBookId;

    @ApiModelProperty(value = "账款总金额")
    @TableField("TOTAL_MONEY")
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "账款当前应收金额")
    @TableField("RECEIVABLE")
    private BigDecimal receivable;

    @ApiModelProperty(value = "账款已收金额")
    @TableField("RECEIPT")
    private BigDecimal receipt;

    @ApiModelProperty(value = "账单状态，1进行中，2已逾期，3已收回，4已终止")
    @TableField("REPAL_BILL_STATUS")
    private Integer repalBillStatus;

    @ApiModelProperty(value = "账款阶段1未起诉，2已起诉，3已申请执行，4终结本次执行")
    @TableField("REPAL_BILL_STAGE")
    private Integer repalBillStage;

    @ApiModelProperty(value = "账款类型。1应收。2应付")
    @TableField("REPAL_BILL_TYPE")
    private Integer repalBillType;

    @ApiModelProperty(value = "应收账款日期")
    @TableField("END_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款logo")
    @TableField("BILL_LOGO")
    private String billLogo;

    @ApiModelProperty(value = "账款标题")
    @TableField("BILL_TITLLE")
    private String billTitlle;

    @ApiModelProperty(value = "账款备注")
    @TableField("BILL_REMARK")
    private String billRemark;

    @ApiModelProperty(value = "客户id")
    @TableField("CUSTOMER_ID")
    private String customerId;

    @ApiModelProperty(value = "客户name")
    @TableField("CUSTOMER_NAME")
    private String customerName;

    @ApiModelProperty(value = "合同name")
    @TableField("CONTRACT_NAME")
    private String contractName;

    @ApiModelProperty(value = "合同到期日期")
    @TableField("CONTRACT_END_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate contractEndDate;

    @ApiModelProperty(value = "合同附件逗号分隔")
    @TableField("CONTRACT_URL")
    private String contractUrl;

    @ApiModelProperty(value = "账单刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    @TableField("REFRESH_STATUS")
    private Integer refreshStatus;

    @ApiModelProperty(value = "上次评估ID")
    @TableField("PRE_DIAGNOSIS_ID")
    private Long preDiagnosisId;

    @ApiModelProperty(value = "评估id")
    @TableField("DIAGNOSIS_ID")
    private Long diagnosisId;

    @ApiModelProperty(value = "上次评估等级")
    @TableField("PRE_DIAGNOSIS_GRADE")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "上次评估分数")
    @TableField("PRE_DIAGNOSIS_SCORE")
    private BigDecimal preDiagnosisScore;

    @ApiModelProperty(value = "上次评估时间")
    @TableField("PRE_DIAGNOSIS_DATETIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime preDiagnosisDatetime;

    @ApiModelProperty(value = "评估等级")
    @TableField("DIAGNOSIS_GRADE")
    private String diagnosisGrade;

    @ApiModelProperty(value = "评估时间")
    @TableField("DIAGNOSIS_DATETIME")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "本次评估分数")
    @TableField("DIAGNOSIS_SCORE")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "趋势，1上升，2下降。0持平")
    @TableField("DIAGNOSIS_TREND")
    private Integer diagnosisTrend;

    @ApiModelProperty(value = "提醒消息")
    @TableField("REMIND_INFO")
    private String remindInfo;

    @ApiModelProperty(value = "账款结清时间")
    @TableField("SETTLE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime settleTime;

    @ApiModelProperty(value = "用户id(创建者id)")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "终止原因")
    @TableField("BREAK_REASON")
    private String breakReason;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;


}
