package com.winhc.repal.enums;

/**
 * @Description: AppPackageEnum
 * @Author: xda
 * @Date: 2021/12/20 09:43
 */
public enum AppPackageEnum {

    /**
     *  包名枚举
     */
    FIREFLY("com.firefly.mobile.app", "赢火虫", 1),
    WIN_LAWYER("com.winhc.user.app", "赢律师APP", 2),
    MINI_PROGRAM("com.winhc.user.mp", "赢律师小程序", 3),
    MOBILE_WEB("com.winhc.user.mweb", "赢律师M站", 4),
    PC_WEB("com.winhc.user.pc", "PC端", 5),
    LEGAL_CLOUD("com.winhc.legal.app", "云法务", 6)
            ;

    private final String packageName;

    private final String desc;

    private final Integer code;



    AppPackageEnum(String packageName, String desc, Integer code) {
        this.packageName = packageName;
        this.desc = desc;
        this.code = code;
    }

    public String getPackageName() {
        return packageName;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getCode() {
        return code;
    }


    public static AppPackageEnum getAppPackageEnumByCode(Integer serviceOrigin) {
        for (AppPackageEnum appPackageEnum : AppPackageEnum.values()) {
            if (appPackageEnum.getCode().equals(serviceOrigin)) {
                return appPackageEnum;
            }
        }
        return null;
    }

    public static AppPackageEnum getAppPackageEnum(String packageName) {
        for (AppPackageEnum appPackageEnum : AppPackageEnum.values()) {
            if (appPackageEnum.getPackageName().equals(packageName)) {
                return appPackageEnum;
            }
        }
        return AppPackageEnum.FIREFLY;
    }
}
