package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author Aaron
 * @date 2022/4/24 17:54
 * @description
 */
@Data
@Accessors(chain = true)
@ApiModel(value="修改客户或供应商")
public class RepalCustomerUpdateDTO {
    @ApiModelProperty(value = "客户id")
    private Long custId;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "所属行业JSON")
    private String industry;

    @ApiModelProperty(value = "办公地址,前面拼一下省市区")
    private String address;

    @ApiModelProperty(value = "负责人userId，不修改不要传!!")
    private List<Long> charges;

    @ApiModelProperty(value = "联系人，不修改不要传!!")
    private List<RepalLinkDTO> links;

    @ApiModelProperty(value = "附件JSON")
    private String attachment;

    @ApiModelProperty(value = "备注信息")
    private String remark;

    //不开放
    @ApiModelProperty("不需要传")
    private Integer custType;
}
