package com.winhc.repal.service;

import com.module.login.usersession.UserBean;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.entity.RepalBill;
import com.winhc.repal.entity.RepalBillDiagnosis;
import com.winhc.repal.entity.RepalRemindHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.model.bo.BillRemindBO;
import com.winhc.repal.model.dto.RepalRemindHistoryDTO;
import com.winhc.repal.model.vo.RepalBillRemindUnReadVO;
import com.winhc.repal.model.vo.RepalRemindCountVO;
import com.winhc.repal.model.vo.RepalRemindHistoryVO;

import java.util.List;
import java.util.Map;


/**
 * @description RepalRemindHistory 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRemindHistoryService extends IService<RepalRemindHistory> {
    /**
     * 查询未读数量
     * @param repalBillIds
     * @return
     */
    RepalBillRemindUnReadVO getRemindUnReadVO(List<RepalBill> repalBills,Long userId);

    /**
     * 新增评级提醒
     * @param accountBill
     * @param diagnosis
     * @return
     */
    boolean insertRankRemind(RepalBill accountBill, RepalBillDiagnosis diagnosis);

    /**
     * 根据id查询详情
     * @return
     */
    RepalRemindHistoryVO getDetailById(Long id, UserBean userBean);

    /**
     * 查询动态数量
     * @param dto
     * @return
     */
    RepalRemindCountVO queryRemidCount(RepalRemindHistoryDTO dto, UserBean userBean);

    /**
     * 分页查询动态
     * @param dto
     * @param pageNum
     * @param pageSize
     * @param userBean
     * @return
     */
    VOPage<RepalRemindHistoryVO> find(RepalRemindHistoryDTO dto, Integer pageNum, Integer pageSize,UserBean userBean);

    /**
     * 查看账款列表最新的动态id
     * @param repalBillIdList repalBillIdList
     * @return java.util.List<com.winhc.repal.model.bo.BillRemindBO>
     * @author xda
     * @date 2022/4/30 13:38
     */
    Map<Long, List<BillRemindBO>> getRepalBillLastRemind(List<Long> repalBillIdList);
}
